DescriptorProtos.FileDescriptorProto
Date: 2017-07-08

com.google.protobuf

## Class DescriptorProtos.FileDescriptorProto

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - com.google.protobuf.DescriptorProtos.FileDescriptorProto

- All Implemented Interfaces:
    DescriptorProtos.FileDescriptorProtoOrBuilder, Message, MessageLite, MessageLiteOrBuilder, MessageOrBuilder, java.io.Serializable
  Enclosing class:
    DescriptorProtos

      public static final class DescriptorProtos.FileDescriptorProto
      extends GeneratedMessageV3
      implements DescriptorProtos.FileDescriptorProtoOrBuilder

       Describes a complete .proto file.

  Protobuf type `google.protobuf.FileDescriptorProto`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DescriptorProtos.FileDescriptorProto.Builder` Describes a complete .proto file.

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

      `GeneratedMessageV3.BuilderParent, GeneratedMessageV3.ExtendableBuilder<MessageType extends GeneratedMessageV3.ExtendableMessage,BuilderType extends GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, GeneratedMessageV3.ExtendableMessage<MessageType extends GeneratedMessageV3.ExtendableMessage>, GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends GeneratedMessageV3.ExtendableMessage>, GeneratedMessageV3.FieldAccessorTable`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEPENDENCY_FIELD_NUMBER`
    `static int` | `ENUM_TYPE_FIELD_NUMBER`
    `static int` | `EXTENSION_FIELD_NUMBER`
    `static int` | `MESSAGE_TYPE_FIELD_NUMBER`
    `static int` | `NAME_FIELD_NUMBER`
    `static int` | `OPTIONS_FIELD_NUMBER`
    `static int` | `PACKAGE_FIELD_NUMBER`
    `static Parser<DescriptorProtos.FileDescriptorProto>` | `PARSER` Deprecated.
    `static int` | `PUBLIC_DEPENDENCY_FIELD_NUMBER`
    `static int` | `SERVICE_FIELD_NUMBER`
    `static int` | `SOURCE_CODE_INFO_FIELD_NUMBER`
    `static int` | `SYNTAX_FIELD_NUMBER`
    `static int` | `WEAK_DEPENDENCY_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessageV3

      `alwaysUseFieldBuilders, unknownFields`

    - ### Fields inherited from class com.google.protobuf.AbstractMessage

      `memoizedSize`

    - ### Fields inherited from class com.google.protobuf.AbstractMessageLite

      `memoizedHashCode`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Compares the specified object with this message for equality.
    `static DescriptorProtos.FileDescriptorProto` | `getDefaultInstance()`
    `DescriptorProtos.FileDescriptorProto` | `getDefaultInstanceForType()` Get an instance of the type with no fields set.
    `java.lang.String` | `getDependency(int index)` Names of files imported by this file.
    `ByteString` | `getDependencyBytes(int index)` Names of files imported by this file.
    `int` | `getDependencyCount()` Names of files imported by this file.
    `ProtocolStringList` | `getDependencyList()` Names of files imported by this file.
    `static Descriptors.Descriptor` | `getDescriptor()`
    `DescriptorProtos.EnumDescriptorProto` | `getEnumType(int index)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `int` | `getEnumTypeCount()` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `java.util.List<DescriptorProtos.EnumDescriptorProto>` | `getEnumTypeList()` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `DescriptorProtos.EnumDescriptorProtoOrBuilder` | `getEnumTypeOrBuilder(int index)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `java.util.List<? extends DescriptorProtos.EnumDescriptorProtoOrBuilder>` | `getEnumTypeOrBuilderList()` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `DescriptorProtos.FieldDescriptorProto` | `getExtension(int index)` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `int` | `getExtensionCount()` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `java.util.List<DescriptorProtos.FieldDescriptorProto>` | `getExtensionList()` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `DescriptorProtos.FieldDescriptorProtoOrBuilder` | `getExtensionOrBuilder(int index)` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `java.util.List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder>` | `getExtensionOrBuilderList()` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `DescriptorProtos.DescriptorProto` | `getMessageType(int index)` All top-level definitions in this file.
    `int` | `getMessageTypeCount()` All top-level definitions in this file.
    `java.util.List<DescriptorProtos.DescriptorProto>` | `getMessageTypeList()` All top-level definitions in this file.
    `DescriptorProtos.DescriptorProtoOrBuilder` | `getMessageTypeOrBuilder(int index)` All top-level definitions in this file.
    `java.util.List<? extends DescriptorProtos.DescriptorProtoOrBuilder>` | `getMessageTypeOrBuilderList()` All top-level definitions in this file.
    `java.lang.String` | `getName()` file name, relative to root of source tree
    `ByteString` | `getNameBytes()` file name, relative to root of source tree
    `DescriptorProtos.FileOptions` | `getOptions()` `optional .google.protobuf.FileOptions options = 8;`
    `DescriptorProtos.FileOptionsOrBuilder` | `getOptionsOrBuilder()` `optional .google.protobuf.FileOptions options = 8;`
    `java.lang.String` | `getPackage()` e.g.
    `ByteString` | `getPackageBytes()` e.g.
    `Parser<DescriptorProtos.FileDescriptorProto>` | `getParserForType()` Gets the parser for a message of the same type as this message.
    `int` | `getPublicDependency(int index)` Indexes of the public imported files in the dependency list above.
    `int` | `getPublicDependencyCount()` Indexes of the public imported files in the dependency list above.
    `java.util.List<java.lang.Integer>` | `getPublicDependencyList()` Indexes of the public imported files in the dependency list above.
    `int` | `getSerializedSize()` Get the number of bytes required to encode this message.
    `DescriptorProtos.ServiceDescriptorProto` | `getService(int index)` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `int` | `getServiceCount()` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `java.util.List<DescriptorProtos.ServiceDescriptorProto>` | `getServiceList()` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `DescriptorProtos.ServiceDescriptorProtoOrBuilder` | `getServiceOrBuilder(int index)` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `java.util.List<? extends DescriptorProtos.ServiceDescriptorProtoOrBuilder>` | `getServiceOrBuilderList()` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `DescriptorProtos.SourceCodeInfo` | `getSourceCodeInfo()` This field contains optional information about the original source code.
    `DescriptorProtos.SourceCodeInfoOrBuilder` | `getSourceCodeInfoOrBuilder()` This field contains optional information about the original source code.
    `java.lang.String` | `getSyntax()` The syntax of the proto file.
    `ByteString` | `getSyntaxBytes()` The syntax of the proto file.
    `UnknownFieldSet` | `getUnknownFields()` Get the `UnknownFieldSet` for this message.
    `int` | `getWeakDependency(int index)` Indexes of the weak imported files in the dependency list.
    `int` | `getWeakDependencyCount()` Indexes of the weak imported files in the dependency list.
    `java.util.List<java.lang.Integer>` | `getWeakDependencyList()` Indexes of the weak imported files in the dependency list.
    `int` | `hashCode()` Returns the hash code value for this message.
    `boolean` | `hasName()` file name, relative to root of source tree
    `boolean` | `hasOptions()` `optional .google.protobuf.FileOptions options = 8;`
    `boolean` | `hasPackage()` e.g.
    `boolean` | `hasSourceCodeInfo()` This field contains optional information about the original source code.
    `boolean` | `hasSyntax()` The syntax of the proto file.
    `protected GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` Get the FieldAccessorTable for this type.
    `boolean` | `isInitialized()` Returns true if all required fields in the message and all embedded messages are set, false otherwise.
    `static DescriptorProtos.FileDescriptorProto.Builder` | `newBuilder()`
    `static DescriptorProtos.FileDescriptorProto.Builder` | `newBuilder(DescriptorProtos.FileDescriptorProto prototype)`
    `DescriptorProtos.FileDescriptorProto.Builder` | `newBuilderForType()` Constructs a new builder for a message of the same type as this message.
    `protected DescriptorProtos.FileDescriptorProto.Builder` | `newBuilderForType(GeneratedMessageV3.BuilderParent parent)` TODO(xiaofeng): remove this together with GeneratedMessageV3.BuilderParent.
    `static DescriptorProtos.FileDescriptorProto` | `parseDelimitedFrom(java.io.InputStream input)`
    `static DescriptorProtos.FileDescriptorProto` | `parseDelimitedFrom(java.io.InputStream input, ExtensionRegistryLite extensionRegistry)`
    `static DescriptorProtos.FileDescriptorProto` | `parseFrom(byte[] data)`
    `static DescriptorProtos.FileDescriptorProto` | `parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
    `static DescriptorProtos.FileDescriptorProto` | `parseFrom(java.nio.ByteBuffer data)`
    `static DescriptorProtos.FileDescriptorProto` | `parseFrom(java.nio.ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
    `static DescriptorProtos.FileDescriptorProto` | `parseFrom(ByteString data)`
    `static DescriptorProtos.FileDescriptorProto` | `parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
    `static DescriptorProtos.FileDescriptorProto` | `parseFrom(CodedInputStream input)`
    `static DescriptorProtos.FileDescriptorProto` | `parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
    `static DescriptorProtos.FileDescriptorProto` | `parseFrom(java.io.InputStream input)`
    `static DescriptorProtos.FileDescriptorProto` | `parseFrom(java.io.InputStream input, ExtensionRegistryLite extensionRegistry)`
    `static Parser<DescriptorProtos.FileDescriptorProto>` | `parser()`
    `DescriptorProtos.FileDescriptorProto.Builder` | `toBuilder()` Constructs a builder initialized with the current message.
    `void` | `writeTo(CodedOutputStream output)` Serializes the message and writes it to `output`.

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3

      `computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### NAME_FIELD_NUMBER

          public static final int NAME_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### PACKAGE_FIELD_NUMBER

          public static final int PACKAGE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### DEPENDENCY_FIELD_NUMBER

          public static final int DEPENDENCY_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### PUBLIC_DEPENDENCY_FIELD_NUMBER

          public static final int PUBLIC_DEPENDENCY_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### WEAK_DEPENDENCY_FIELD_NUMBER

          public static final int WEAK_DEPENDENCY_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### MESSAGE_TYPE_FIELD_NUMBER

          public static final int MESSAGE_TYPE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ENUM_TYPE_FIELD_NUMBER

          public static final int ENUM_TYPE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### SERVICE_FIELD_NUMBER

          public static final int SERVICE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### EXTENSION_FIELD_NUMBER

          public static final int EXTENSION_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### OPTIONS_FIELD_NUMBER

          public static final int OPTIONS_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### SOURCE_CODE_INFO_FIELD_NUMBER

          public static final int SOURCE_CODE_INFO_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### SYNTAX_FIELD_NUMBER

          public static final int SYNTAX_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### PARSER

          @Deprecated
          public static final Parser<DescriptorProtos.FileDescriptorProto> PARSER

      Deprecated.

  - ### Method Detail

    - #### getUnknownFields

          public final UnknownFieldSet getUnknownFields()

      Description copied from interface: `MessageOrBuilder`
      Get the `UnknownFieldSet` for this message.
      Specified by:
        `getUnknownFields` in interface `MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `GeneratedMessageV3`

    - #### getDescriptor

          public static final Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Description copied from class: `GeneratedMessageV3`
      Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.
      Specified by:
        `internalGetFieldAccessorTable` in class `GeneratedMessageV3`

    - #### hasName

          public boolean hasName()

           file name, relative to root of source tree

      `optional string name = 1;`
      Specified by:
        `hasName` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getName

          public java.lang.String getName()

           file name, relative to root of source tree

      `optional string name = 1;`
      Specified by:
        `getName` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getNameBytes

          public ByteString getNameBytes()

           file name, relative to root of source tree

      `optional string name = 1;`
      Specified by:
        `getNameBytes` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### hasPackage

          public boolean hasPackage()

           e.g. "foo", "foo.bar", etc.

      `optional string package = 2;`
      Specified by:
        `hasPackage` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getPackage

          public java.lang.String getPackage()

           e.g. "foo", "foo.bar", etc.

      `optional string package = 2;`
      Specified by:
        `getPackage` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getPackageBytes

          public ByteString getPackageBytes()

           e.g. "foo", "foo.bar", etc.

      `optional string package = 2;`
      Specified by:
        `getPackageBytes` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getDependencyList

          public ProtocolStringList getDependencyList()

           Names of files imported by this file.

      `repeated string dependency = 3;`
      Specified by:
        `getDependencyList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getDependencyCount

          public int getDependencyCount()

           Names of files imported by this file.

      `repeated string dependency = 3;`
      Specified by:
        `getDependencyCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getDependency

          public java.lang.String getDependency(int index)

           Names of files imported by this file.

      `repeated string dependency = 3;`
      Specified by:
        `getDependency` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getDependencyBytes

          public ByteString getDependencyBytes(int index)

           Names of files imported by this file.

      `repeated string dependency = 3;`
      Specified by:
        `getDependencyBytes` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getPublicDependencyList

          public java.util.List<java.lang.Integer> getPublicDependencyList()

           Indexes of the public imported files in the dependency list above.

      `repeated int32 public_dependency = 10;`
      Specified by:
        `getPublicDependencyList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getPublicDependencyCount

          public int getPublicDependencyCount()

           Indexes of the public imported files in the dependency list above.

      `repeated int32 public_dependency = 10;`
      Specified by:
        `getPublicDependencyCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getPublicDependency

          public int getPublicDependency(int index)

           Indexes of the public imported files in the dependency list above.

      `repeated int32 public_dependency = 10;`
      Specified by:
        `getPublicDependency` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getWeakDependencyList

          public java.util.List<java.lang.Integer> getWeakDependencyList()

           Indexes of the weak imported files in the dependency list.
           For Google-internal migration only. Do not use.

      `repeated int32 weak_dependency = 11;`
      Specified by:
        `getWeakDependencyList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getWeakDependencyCount

          public int getWeakDependencyCount()

           Indexes of the weak imported files in the dependency list.
           For Google-internal migration only. Do not use.

      `repeated int32 weak_dependency = 11;`
      Specified by:
        `getWeakDependencyCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getWeakDependency

          public int getWeakDependency(int index)

           Indexes of the weak imported files in the dependency list.
           For Google-internal migration only. Do not use.

      `repeated int32 weak_dependency = 11;`
      Specified by:
        `getWeakDependency` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getMessageTypeList

          public java.util.List<DescriptorProtos.DescriptorProto> getMessageTypeList()

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`
      Specified by:
        `getMessageTypeList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getMessageTypeOrBuilderList

          public java.util.List<? extends DescriptorProtos.DescriptorProtoOrBuilder> getMessageTypeOrBuilderList()

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`
      Specified by:
        `getMessageTypeOrBuilderList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getMessageTypeCount

          public int getMessageTypeCount()

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`
      Specified by:
        `getMessageTypeCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getMessageType

          public DescriptorProtos.DescriptorProto getMessageType(int index)

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`
      Specified by:
        `getMessageType` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getMessageTypeOrBuilder

          public DescriptorProtos.DescriptorProtoOrBuilder getMessageTypeOrBuilder(int index)

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`
      Specified by:
        `getMessageTypeOrBuilder` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getEnumTypeList

          public java.util.List<DescriptorProtos.EnumDescriptorProto> getEnumTypeList()

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
      Specified by:
        `getEnumTypeList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getEnumTypeOrBuilderList

          public java.util.List<? extends DescriptorProtos.EnumDescriptorProtoOrBuilder> getEnumTypeOrBuilderList()

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
      Specified by:
        `getEnumTypeOrBuilderList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getEnumTypeCount

          public int getEnumTypeCount()

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
      Specified by:
        `getEnumTypeCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getEnumType

          public DescriptorProtos.EnumDescriptorProto getEnumType(int index)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
      Specified by:
        `getEnumType` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getEnumTypeOrBuilder

          public DescriptorProtos.EnumDescriptorProtoOrBuilder getEnumTypeOrBuilder(int index)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
      Specified by:
        `getEnumTypeOrBuilder` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getServiceList

          public java.util.List<DescriptorProtos.ServiceDescriptorProto> getServiceList()

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
      Specified by:
        `getServiceList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getServiceOrBuilderList

          public java.util.List<? extends DescriptorProtos.ServiceDescriptorProtoOrBuilder> getServiceOrBuilderList()

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
      Specified by:
        `getServiceOrBuilderList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getServiceCount

          public int getServiceCount()

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
      Specified by:
        `getServiceCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getService

          public DescriptorProtos.ServiceDescriptorProto getService(int index)

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
      Specified by:
        `getService` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getServiceOrBuilder

          public DescriptorProtos.ServiceDescriptorProtoOrBuilder getServiceOrBuilder(int index)

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
      Specified by:
        `getServiceOrBuilder` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getExtensionList

          public java.util.List<DescriptorProtos.FieldDescriptorProto> getExtensionList()

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
      Specified by:
        `getExtensionList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getExtensionOrBuilderList

          public java.util.List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder> getExtensionOrBuilderList()

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
      Specified by:
        `getExtensionOrBuilderList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getExtensionCount

          public int getExtensionCount()

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
      Specified by:
        `getExtensionCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getExtension

          public DescriptorProtos.FieldDescriptorProto getExtension(int index)

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
      Specified by:
        `getExtension` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getExtensionOrBuilder

          public DescriptorProtos.FieldDescriptorProtoOrBuilder getExtensionOrBuilder(int index)

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
      Specified by:
        `getExtensionOrBuilder` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### hasOptions

          public boolean hasOptions()

      `optional .google.protobuf.FileOptions options = 8;`
      Specified by:
        `hasOptions` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getOptions

          public DescriptorProtos.FileOptions getOptions()

      `optional .google.protobuf.FileOptions options = 8;`
      Specified by:
        `getOptions` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getOptionsOrBuilder

          public DescriptorProtos.FileOptionsOrBuilder getOptionsOrBuilder()

      `optional .google.protobuf.FileOptions options = 8;`
      Specified by:
        `getOptionsOrBuilder` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### hasSourceCodeInfo

          public boolean hasSourceCodeInfo()

           This field contains optional information about the original source code.
           You may safely remove this entire field without harming runtime
           functionality of the descriptors -- the information is needed only by
           development tools.

      `optional .google.protobuf.SourceCodeInfo source_code_info = 9;`
      Specified by:
        `hasSourceCodeInfo` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getSourceCodeInfo

          public DescriptorProtos.SourceCodeInfo getSourceCodeInfo()

           This field contains optional information about the original source code.
           You may safely remove this entire field without harming runtime
           functionality of the descriptors -- the information is needed only by
           development tools.

      `optional .google.protobuf.SourceCodeInfo source_code_info = 9;`
      Specified by:
        `getSourceCodeInfo` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getSourceCodeInfoOrBuilder

          public DescriptorProtos.SourceCodeInfoOrBuilder getSourceCodeInfoOrBuilder()

           This field contains optional information about the original source code.
           You may safely remove this entire field without harming runtime
           functionality of the descriptors -- the information is needed only by
           development tools.

      `optional .google.protobuf.SourceCodeInfo source_code_info = 9;`
      Specified by:
        `getSourceCodeInfoOrBuilder` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### hasSyntax

          public boolean hasSyntax()

           The syntax of the proto file.
           The supported values are "proto2" and "proto3".

      `optional string syntax = 12;`
      Specified by:
        `hasSyntax` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getSyntax

          public java.lang.String getSyntax()

           The syntax of the proto file.
           The supported values are "proto2" and "proto3".

      `optional string syntax = 12;`
      Specified by:
        `getSyntax` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getSyntaxBytes

          public ByteString getSyntaxBytes()

           The syntax of the proto file.
           The supported values are "proto2" and "proto3".

      `optional string syntax = 12;`
      Specified by:
        `getSyntaxBytes` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Description copied from interface: `MessageLiteOrBuilder`
      Returns true if all required fields in the message and all embedded messages are set, false otherwise.

      See also: `MessageOrBuilder.getInitializationErrorString()`

      Specified by:
        `isInitialized` in interface `MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `GeneratedMessageV3`

    - #### writeTo

          public void writeTo(CodedOutputStream output)
                       throws java.io.IOException

      Description copied from interface: `MessageLite`
      Serializes the message and writes it to `output`. This does not flush or close the stream.
      Specified by:
        `writeTo` in interface `MessageLite`
      Overrides:
        `writeTo` in class `GeneratedMessageV3`
      Throws:
        `java.io.IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Description copied from interface: `MessageLite`
      Get the number of bytes required to encode this message. The result is only computed on the first call and memoized after that.
      Specified by:
        `getSerializedSize` in interface `MessageLite`
      Overrides:
        `getSerializedSize` in class `GeneratedMessageV3`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Description copied from interface: `Message`
      Compares the specified object with this message for equality. Returns `true` if the given object is a message of the same type (as defined by `getDescriptorForType()`) and has identical values for all of its fields. Subclasses must implement this; inheriting `Object.equals()` is incorrect.
      Specified by:
        `equals` in interface `Message`
      Overrides:
        `equals` in class `AbstractMessage`
      Parameters:
        `obj` - object to be compared for equality with this message
      Returns:
        `true` if the specified object is equal to this message

    - #### hashCode

          public int hashCode()

      Description copied from interface: `Message`
      Returns the hash code value for this message. The hash code of a message should mix the message's type (object identity of the descriptor) with its contents (known and unknown field values). Subclasses must implement this; inheriting `Object.hashCode()` is incorrect.
      Specified by:
        `hashCode` in interface `Message`
      Overrides:
        `hashCode` in class `AbstractMessage`
      Returns:
        the hash code value for this message
      See Also:
        `Map.hashCode()`

    - #### parseFrom

          public static DescriptorProtos.FileDescriptorProto parseFrom(java.nio.ByteBuffer data)
                                                                throws InvalidProtocolBufferException

      Throws:
        `InvalidProtocolBufferException`

    - #### parseFrom

          public static DescriptorProtos.FileDescriptorProto parseFrom(java.nio.ByteBuffer data,
                                                       ExtensionRegistryLite extensionRegistry)
                                                                throws InvalidProtocolBufferException

      Throws:
        `InvalidProtocolBufferException`

    - #### parseFrom

          public static DescriptorProtos.FileDescriptorProto parseFrom(ByteString data)
                                                                throws InvalidProtocolBufferException

      Throws:
        `InvalidProtocolBufferException`

    - #### parseFrom

          public static DescriptorProtos.FileDescriptorProto parseFrom(ByteString data,
                                                       ExtensionRegistryLite extensionRegistry)
                                                                throws InvalidProtocolBufferException

      Throws:
        `InvalidProtocolBufferException`

    - #### parseFrom

          public static DescriptorProtos.FileDescriptorProto parseFrom(byte[] data)
                                                                throws InvalidProtocolBufferException

      Throws:
        `InvalidProtocolBufferException`

    - #### parseFrom

          public static DescriptorProtos.FileDescriptorProto parseFrom(byte[] data,
                                                       ExtensionRegistryLite extensionRegistry)
                                                                throws InvalidProtocolBufferException

      Throws:
        `InvalidProtocolBufferException`

    - #### parseFrom

          public static DescriptorProtos.FileDescriptorProto parseFrom(java.io.InputStream input)
                                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static DescriptorProtos.FileDescriptorProto parseFrom(java.io.InputStream input,
                                                       ExtensionRegistryLite extensionRegistry)
                                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static DescriptorProtos.FileDescriptorProto parseDelimitedFrom(java.io.InputStream input)
                                                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static DescriptorProtos.FileDescriptorProto parseDelimitedFrom(java.io.InputStream input,
                                                                ExtensionRegistryLite extensionRegistry)
                                                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static DescriptorProtos.FileDescriptorProto parseFrom(CodedInputStream input)
                                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static DescriptorProtos.FileDescriptorProto parseFrom(CodedInputStream input,
                                                       ExtensionRegistryLite extensionRegistry)
                                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### newBuilderForType

          public DescriptorProtos.FileDescriptorProto.Builder newBuilderForType()

      Description copied from interface: `MessageLite`
      Constructs a new builder for a message of the same type as this message.
      Specified by:
        `newBuilderForType` in interface `Message`
      Specified by:
        `newBuilderForType` in interface `MessageLite`

    - #### newBuilder

          public static DescriptorProtos.FileDescriptorProto.Builder newBuilder()

    - #### newBuilder

          public static DescriptorProtos.FileDescriptorProto.Builder newBuilder(DescriptorProtos.FileDescriptorProto prototype)

    - #### toBuilder

          public DescriptorProtos.FileDescriptorProto.Builder toBuilder()

      Description copied from interface: `MessageLite`
      Constructs a builder initialized with the current message. Use this to derive a new message from the current one.
      Specified by:
        `toBuilder` in interface `Message`
      Specified by:
        `toBuilder` in interface `MessageLite`

    - #### newBuilderForType

          protected DescriptorProtos.FileDescriptorProto.Builder newBuilderForType(GeneratedMessageV3.BuilderParent parent)

      Description copied from class: `GeneratedMessageV3`
      TODO(xiaofeng): remove this together with GeneratedMessageV3.BuilderParent.
      Specified by:
        `newBuilderForType` in class `GeneratedMessageV3`

    - #### getDefaultInstance

          public static DescriptorProtos.FileDescriptorProto getDefaultInstance()

    - #### parser

          public static Parser<DescriptorProtos.FileDescriptorProto> parser()

    - #### getParserForType

          public Parser<DescriptorProtos.FileDescriptorProto> getParserForType()

      Description copied from interface: `MessageLite`
      Gets the parser for a message of the same type as this message.
      Specified by:
        `getParserForType` in interface `Message`
      Specified by:
        `getParserForType` in interface `MessageLite`
      Overrides:
        `getParserForType` in class `GeneratedMessageV3`

    - #### getDefaultInstanceForType

          public DescriptorProtos.FileDescriptorProto getDefaultInstanceForType()

      Description copied from interface: `MessageLiteOrBuilder`
      Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.
      Specified by:
        `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `MessageOrBuilder`